// Code generated by protoc-gen-go. DO NOT EDIT.
// source: wallet_query.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type BalanceRequest struct {
	Hash                   string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	PrivateSignatureBase64 string   `protobuf:"bytes,2,opt,name=PrivateSignatureBase64,proto3" json:"PrivateSignatureBase64,omitempty"`
	XXX_NoUnkeyedLiteral   struct{} `json:"-"`
	XXX_unrecognized       []byte   `json:"-"`
	XXX_sizecache          int32    `json:"-"`
}

func (m *BalanceRequest) Reset()         { *m = BalanceRequest{} }
func (m *BalanceRequest) String() string { return proto.CompactTextString(m) }
func (*BalanceRequest) ProtoMessage()    {}
func (*BalanceRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_1d885f274eae9c6e, []int{0}
}

func (m *BalanceRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BalanceRequest.Unmarshal(m, b)
}
func (m *BalanceRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BalanceRequest.Marshal(b, m, deterministic)
}
func (m *BalanceRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BalanceRequest.Merge(m, src)
}
func (m *BalanceRequest) XXX_Size() int {
	return xxx_messageInfo_BalanceRequest.Size(m)
}
func (m *BalanceRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BalanceRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BalanceRequest proto.InternalMessageInfo

func (m *BalanceRequest) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *BalanceRequest) GetPrivateSignatureBase64() string {
	if m != nil {
		return m.PrivateSignatureBase64
	}
	return ""
}

type BalanceResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=Message,proto3" json:"Message,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=Status,proto3" json:"Status,omitempty"`
	Balance              string   `protobuf:"bytes,3,opt,name=Balance,proto3" json:"Balance,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BalanceResponse) Reset()         { *m = BalanceResponse{} }
func (m *BalanceResponse) String() string { return proto.CompactTextString(m) }
func (*BalanceResponse) ProtoMessage()    {}
func (*BalanceResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_1d885f274eae9c6e, []int{1}
}

func (m *BalanceResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BalanceResponse.Unmarshal(m, b)
}
func (m *BalanceResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BalanceResponse.Marshal(b, m, deterministic)
}
func (m *BalanceResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BalanceResponse.Merge(m, src)
}
func (m *BalanceResponse) XXX_Size() int {
	return xxx_messageInfo_BalanceResponse.Size(m)
}
func (m *BalanceResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_BalanceResponse.DiscardUnknown(m)
}

var xxx_messageInfo_BalanceResponse proto.InternalMessageInfo

func (m *BalanceResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *BalanceResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *BalanceResponse) GetBalance() string {
	if m != nil {
		return m.Balance
	}
	return ""
}

func init() {
	proto.RegisterType((*BalanceRequest)(nil), "BalanceRequest")
	proto.RegisterType((*BalanceResponse)(nil), "BalanceResponse")
}

func init() {
	proto.RegisterFile("wallet_query.proto", fileDescriptor_1d885f274eae9c6e)
}

var fileDescriptor_1d885f274eae9c6e = []byte{
	// 206 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0x2a, 0x4f, 0xcc, 0xc9,
	0x49, 0x2d, 0x89, 0x2f, 0x2c, 0x4d, 0x2d, 0xaa, 0xd4, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x57, 0x8a,
	0xe1, 0xe2, 0x73, 0x4a, 0xcc, 0x49, 0xcc, 0x4b, 0x4e, 0x0d, 0x4a, 0x2d, 0x2c, 0x4d, 0x2d, 0x2e,
	0x11, 0x12, 0xe2, 0x62, 0xf1, 0x48, 0x2c, 0xce, 0x90, 0x60, 0x54, 0x60, 0xd4, 0xe0, 0x0c, 0x02,
	0xb3, 0x85, 0xcc, 0xb8, 0xc4, 0x02, 0x8a, 0x32, 0xcb, 0x12, 0x4b, 0x52, 0x83, 0x33, 0xd3, 0xf3,
	0x12, 0x4b, 0x4a, 0x8b, 0x52, 0x9d, 0x12, 0x8b, 0x53, 0xcd, 0x4c, 0x24, 0x98, 0xc0, 0xaa, 0x70,
	0xc8, 0x2a, 0xc5, 0x72, 0xf1, 0xc3, 0x4d, 0x2f, 0x2e, 0xc8, 0xcf, 0x2b, 0x4e, 0x15, 0x92, 0xe0,
	0x62, 0xf7, 0x4d, 0x2d, 0x2e, 0x4e, 0x4c, 0x4f, 0x85, 0xda, 0x00, 0xe3, 0x0a, 0x89, 0x71, 0xb1,
	0x05, 0x97, 0x24, 0x96, 0x94, 0x16, 0x43, 0x0d, 0x85, 0xf2, 0x40, 0x3a, 0xa0, 0x86, 0x48, 0x30,
	0x43, 0x74, 0x40, 0xb9, 0x46, 0x8e, 0x5c, 0x3c, 0x9e, 0xe1, 0x60, 0x3f, 0x05, 0x82, 0xbc, 0x24,
	0x64, 0xc8, 0xc5, 0xe5, 0x9e, 0x5a, 0x02, 0x95, 0x15, 0xe2, 0xd7, 0x43, 0xf5, 0x99, 0x94, 0x80,
	0x1e, 0x9a, 0x63, 0x94, 0x18, 0x9c, 0x58, 0xa2, 0x98, 0x0a, 0x92, 0x92, 0xd8, 0xc0, 0x81, 0x61,
	0x0c, 0x08, 0x00, 0x00, 0xff, 0xff, 0x70, 0x7d, 0xd0, 0xfc, 0x22, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IWalletQueryClient is the client API for IWalletQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IWalletQueryClient interface {
	GetBalance(ctx context.Context, in *BalanceRequest, opts ...grpc.CallOption) (*BalanceResponse, error)
}

type iWalletQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewIWalletQueryClient(cc grpc.ClientConnInterface) IWalletQueryClient {
	return &iWalletQueryClient{cc}
}

func (c *iWalletQueryClient) GetBalance(ctx context.Context, in *BalanceRequest, opts ...grpc.CallOption) (*BalanceResponse, error) {
	out := new(BalanceResponse)
	err := c.cc.Invoke(ctx, "/IWalletQuery/GetBalance", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IWalletQueryServer is the server API for IWalletQuery service.
type IWalletQueryServer interface {
	GetBalance(context.Context, *BalanceRequest) (*BalanceResponse, error)
}

// UnimplementedIWalletQueryServer can be embedded to have forward compatible implementations.
type UnimplementedIWalletQueryServer struct {
}

func (*UnimplementedIWalletQueryServer) GetBalance(ctx context.Context, req *BalanceRequest) (*BalanceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBalance not implemented")
}

func RegisterIWalletQueryServer(s *grpc.Server, srv IWalletQueryServer) {
	s.RegisterService(&_IWalletQuery_serviceDesc, srv)
}

func _IWalletQuery_GetBalance_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BalanceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IWalletQueryServer).GetBalance(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IWalletQuery/GetBalance",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IWalletQueryServer).GetBalance(ctx, req.(*BalanceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _IWalletQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IWalletQuery",
	HandlerType: (*IWalletQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetBalance",
			Handler:    _IWalletQuery_GetBalance_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "wallet_query.proto",
}
